#include <Audio.h>
#include "FaustClarinet.h"

FaustClarinet faustClarinet;
AudioOutputI2S out;
AudioControlSGTL5000 audioShield;
AudioConnection patchCord0(faustClarinet,0,out,0);
AudioConnection patchCord1(faustClarinet,1,out,1);

void setup() {
  AudioMemory(4);
  audioShield.enable();
  audioShield.volume(0.6);
  faustClarinet.setParamValue("pressure",0.5);
}

void loop() {
  float pressure = analogRead(A12)/1024.0;
  float len = analogRead(A13)/400.0 + 0.1;
  faustClarinet.setParamValue("pressure",pressure);
  faustClarinet.setParamValue("length",len);
}
